### Virtual Method

# Gio Mount get_drive

#### Declaration

    GDrive*
    get_drive (
      GMount* mount
    )

#### Description

Gets the drive for the `mount`.

This is a convenience method for getting the `GVolume` and then using that object to get the `GDrive`.

#### Return value

Type: `GDrive`

A `GDrive` or `NULL` if `mount` is not associated with a volume or a drive. The returned object should be unreffed with `g_object_unref()` when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.